Request
Endpoint: !AutoAuthorize
https://secure.trust-provider.com/products/!AutoAuthorize
Use the POST method for this endpoint.
Submit parameters in the x-www-form-urlencoded format.
Request parameters
The following table lists the required and optional parameters.
| Parameter | Requirement | Type | Max.Length | Description |
|---|---|---|---|---|
|
required |
string |
64 chars |
The account username. This value is case sensitive. |
|
required |
string |
128 chars |
The account password. This value is case sensitive. |
|
required |
integer |
The order number of the order to be authorized. |
|
|
optional |
char |
1 char |
Indicates whether the authorization is a test operation. The possible values are:
If omitted, the value defaults to |
|
optional |
char |
1 char |
Indicates whether the Sectigo Web Platform (SWP) feature is disabled for the authorization. The possible values are:
If omitted, the value defaults to |
Sample request
curl --location --globoff 'https://secure.trust-provider.com/products/!AutoAuthorize' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=order_number'
Response
The request is successful when the server returns a response with the status code 0.
Any errorCode less than 0 indicates an error condition.
|
The list of codes and their descriptions can be found in Error codes. |
The response format is restricted to the line-delimited parameters.
Response parameters
The response may contain the following parameters:
| Parameter | Description |
|---|---|
|
A numeric code that identifies the type of the error. For more information, see Error codes. |
|
The error message. |
|
The SiteLock user ID. This parameter is only present if a SiteLock licence is the only product ordered. |
|
The SiteLock site ID (string). This parameter is only present if a SiteLock licence is the only product ordered. |
Error codes
The following table outlines error responses returned by the AutoAuthorize API endpoint.
Each error response consists of an errorCode and an errorMessage indicating why the request failed.
| Error Code | Error Message | Description |
|---|---|---|
|
|
The request must use HTTPS protocol. |
|
|
The provided argument is not recognized. |
|
|
The required argument is missing from the request. |
|
|
The argument value does not meet validation requirements. |
|
|
An unknown error occurred. |
|
|
The user does not have enough credit to perform the requested action. |
|
|
Authentication has failed due to one of the specified reasons. Verify your login credentials or check account restrictions. |
|
|
The request method should be |
|
|
The order is not in a state that allows it to be authorized or rejected. |
|
|
The request has failed due to an issue with the duration or product ID. |
|
|
The request has failed due to a missing price for the specified product. |
|
|
The request has failed due to a generic error with the SiteLock synchronous sync. |